//
//  ToolBarTableViewViewController.m
//  ToolBarTableView
//
//  Created by PhoneyDeveloper on 9/12/08.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "ToolBarTableViewViewController.h"

@implementation ToolBarTableViewViewController

@synthesize tableView = mTableView;
@synthesize toolbar = mToolbar;


//	==============================================================
//	viewDidLoad
//	==============================================================

- (void)viewDidLoad 
{
	// Make the title of this page the same as the title of this app
	self.title = [[[NSBundle mainBundle] infoDictionary] objectForKey:@"CFBundleName"];

	// Set up the table
	mDataList = [[NSArray alloc] initWithObjects:@"Red", @"Orange", @"Green", @"Blue", @"Indigo", @"Violet", nil];
}

//	==============================================================
//	dealloc
//	==============================================================

- (void)dealloc 
{
	[super dealloc];
}

//	==============================================================
//	doAction:
//	==============================================================

-(IBAction)doAction:(id)sender
{
	NSLog(@"doAction:");
}

//	==============================================================
//	tableView:numberOfRowsInSection:
//	==============================================================

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section 
{
	return [mDataList count];
}

//	==============================================================
//	tableView:cellForRowAtIndexPath:
//	==============================================================

#define kCellIdentifier @"whatever"

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath 
{
	UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:kCellIdentifier];
	if (cell == nil) {
		cell = [[[UITableViewCell alloc] initWithFrame:CGRectZero reuseIdentifier:kCellIdentifier] autorelease];
	}
	
	// Add the title of the database for this row
	cell.text = [mDataList objectAtIndex:indexPath.row];

	// Set up the cell
	return cell;
}

// The following three methods must be implented in a UIViewController
// that manages a UITableView but which isn't a UITableViewController
//	==============================================================
//	setEditing:animated:
//	==============================================================

- (void)setEditing:(BOOL)editing animated:(BOOL)animated
{
	[super setEditing:editing animated:animated];
	[self.tableView setEditing:editing animated:animated];
}

//	==============================================================
//	viewWillAppear:
//	==============================================================

- (void)viewWillAppear:(BOOL)animated
{
	// Unselect the selected row if any
	NSIndexPath*	selection = [self.tableView indexPathForSelectedRow];
	if (selection)
		[self.tableView deselectRowAtIndexPath:selection animated:YES];

	[self.tableView reloadData];
}

//	==============================================================
//	viewDidAppear:
//	==============================================================

- (void)viewDidAppear:(BOOL)animated
{
	//	The scrollbars won't flash unless the tableview is long enough.
	[self.tableView flashScrollIndicators];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
	// Return YES for supported orientations
	return YES;
}

- (void)didRotateFromInterfaceOrientation:(UIInterfaceOrientation)fromInterfaceOrientation
{
	[self.tableView flashScrollIndicators];
}


@end
